{
  "schema_version": "1.4.0",
  "id": "GHSA-jv8p-6h4c-vx58",
  "modified": "2022-05-03T03:20:28Z",
  "published": "2022-05-03T03:20:28Z",
  "aliases": [
    "CVE-2009-2660"
  ],
  "details": "Multiple integer overflows in CamlImages 2.2 might allow context-dependent attackers to execute arbitrary code via images containing large width and height values that trigger a heap-based buffer overflow, related to (1) crafted GIF files (gifread.c) and (2) crafted JPEG files (jpegread.c), a different vulnerability than CVE-2009-2295.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2660"
    },
    {
      "type": "WEB",
      "url": "https://bugs.gentoo.org/attachment.cgi?id=199108"
    },
    {
      "type": "WEB",
      "url": "https://bugs.gentoo.org/show_bug.cgi?id=276235"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/52649"
    },
    {
      "type": "WEB",
      "url": "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=540146"
    },
    {
      "type": "WEB",
      "url": "http://camlcvs.inria.fr/cgi-bin/cvsweb.cgi/bazar-ocaml/camlimages/src/jpegread.c.diff?r1=1.3;r2=1.4;sortby=date;f=h"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37067"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/c/camlimages/camlimages_2.2.0-4+lenny3.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/c/camlimages/camlimages_2.20-8+etch3.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1857"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1912"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/07/25/2"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35999"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-08-04T16:30:00Z"
  }
}